nonstd::variants::detail::typelist_max< typelist< Head, Tail > > Struct Template Reference

`#include <variant.hpp>`

## Public Types

enum | V { value = (sizeof( Head ) > tail_value) ? sizeof( Head ) : std::size_t( tail_value ) }
typedef std11::conditional<(sizeof(Head)>tail_value), Head, tail_type >::type | type

## Private Types

enum | TV { tail_value = size_t( typelist_max<Tail>::value ) }
typedef typelist_max< Tail >::type | tail_type

## Detailed Description

template<class Head, class Tail>
struct nonstd::variants::detail::typelist_max< typelist< Head, Tail > >

Definition at line 700 of file variant.hpp.

## Member Typedef Documentation

## tail_type

template<class Head , class Tail >

typedef typelist_max<Tail>::type nonstd::variants::detail::typelist_max< typelist< Head, Tail > >::tail_type

private

Definition at line 705 of file variant.hpp.

## type

template<class Head , class Tail >

typedef std11::conditional<(sizeof(Head)>tail_value),Head,tail_type>::type nonstd::variants::detail::typelist_max< typelist< Head, Tail > >::type

Definition at line 710 of file variant.hpp.

## Member Enumeration Documentation

## TV

template<class Head , class Tail >

enum nonstd::variants::detail::typelist_max< typelist< Head, Tail > >::TV

private

Enumerator
tail_value |

Definition at line 703 of file variant.hpp.

## V

template<class Head , class Tail >

enum nonstd::variants::detail::typelist_max< typelist< Head, Tail > >::V

Enumerator
value |

Definition at line 708 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp